
import java.io.BufferedReader;
import java.io.IOException;

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
import java.io.*;
/**
 *
 * @author isa
 */
public class main {

    public static void main (String args[]) throws IOException
    {
        Jugador[] j = null;
        Risk dadoAtaque=new Risk();
        Risk dadoDefensa=new Risk();
        int num;
        int atq;
        int dfn;
        int numTerritorios;
        int sn,numdados;
        String terratq,terrdef;
        BufferedReader in = new BufferedReader(new InputStreamReader(System.in));

 
          System.out.print("numero jugadores : ");
          num = Integer.parseInt(in.readLine( ));
          System.out.println("EL NUMERO DE JUGADORES ES " + " : " + num );
          
          System.out.println("Al principio de cada turno calculamos cuantos nuevos ejércitos agregaras a tus territorios basado en:.");
          System.out.println("1. Introduzca numero de territorios que ocupas para calcular los ejercitos que recibes: ");
          numTerritorios=Integer.parseInt(in.readLine());
          System.out.println("Pues recibes: "+ numTerritorios/3+ "ejercitos.");
          System.out.println("2. El valor de los continentes que controlas. ");
          System.out.println("3. El valor de los tríos de Tarjetas RISK que cambies. ");
          
          System.out.println("Ya están colocados los ejércitos al principio del turno.");
          for(int i=1; i<=num;i++)
        {
          System.out.println("Soy el jugador "+i);
          System.out.println("Jugador "+ i +"desea atacar[0(no), 1(si)]: ");
          sn = Integer.parseInt(in.readLine( ));
          if(sn==0)
              System.out.println("Pasamos turno al de la izquierda.");
          else
          {
              System.out.println("***************Atacamos***********************");
              System.out.println("Debemos saber que: ");
              System.out.println("   1. Sólo podemos atacar territorios adyacentes.");
              System.out.println("   2. Debemos tener al menos 2 ejercitos en el territorio.");
              System.out.println("   3. Podemos realizar todos los ataques que se deseen durante el turno.");
              
              
              System.out.println("Que territorio ataca: ");
              terratq=in.readLine();
              System.out.println("EL TERRITORIO QUE ATACA ES: "+terratq);
              System.out.println("Cual es el territorio atacado: ");
              terrdef=in.readLine();
              System.out.println("EL TERRITORIO ATACADO ES: "+terrdef);
              
              System.out.println("¿Cuantos dados tiras el atacante ?");
              numdados=Integer.parseInt(in.readLine());
              //////////////ATACANTE
              System.out.println("Soy el atacante tiro"+numdados+" dados(el numero de dados debe ser menos que el numero de ejercitos)");
               int max=0;
              int totaldados;
              for(totaldados=1; totaldados<=numdados; totaldados++)
              {
                 
                  dadoAtaque.tirarDado();
                  atq=dadoAtaque.getDadoAtq();
                  System.out.println("D: "+Integer.toString(atq));
                  if(max<atq)
                        max=atq;
              }
              System.out.println("La puntuacion mayor del ATACANTE ha sido : "+max);
              ///////////////DEFENSOR
              System.out.println("¿Cuantos dados tiras el defensa ?");
              numdados=Integer.parseInt(in.readLine());
              System.out.println("Soy el defensor tiro"+numdados+" dados(tirará dos dados si el su territorio hay 2 o mas ejercitos)");
               int maxd=0;
              int totaldadosd;
              for(totaldadosd=1; totaldadosd<=numdados; totaldadosd++)
              {
                 
                  dadoDefensa.tirarDado();
                  dfn=dadoDefensa.getDadoDef();
                  System.out.println("D: "+Integer.toString(dfn));
                  if(maxd<dfn)
                        maxd=dfn;
              }
              System.out.println("La puntuacion mayor del DEFENSA ha sido : "+maxd);
              
              if(max<=maxd)
                  System.out.println("Gana el defensa");
              else
                  System.out.println("Gana el atacante");
          }
           
          }
          
       
    }
    
   

    }

